> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rogeriq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or upsert a contact

If a contact with the same email exists, it will be updated instead of creating a duplicate.

` POST /projects/{projectId}/contacts `

Create or upsert a contact

If a contact with the same email exists, it will be updated instead of creating a duplicate.

## Servers

- ` https://api.rogeriq.com/api/v1 `

## Authentication

The operation accepts these alternatives. Schemes within one alternative are required together.

### Alternative 1

- ` apiKey `: ` apiKey `

  - Credential: ` X-API-Key ` in ` header `

  - API key with `riq_` prefix

## Parameters

### ` projectId ` (path, required)

- ` value `: type ` string `

## Request body (required)

Content type: ` application/json `

- ` value `: type ` unknown `

## Responses

### ` 201 ` — Created or updated contact

Content type: ` application/json `

- ` value `: type ` object `

  - ` data `: type ` object `

    - ` id `: type ` string `

    - ` project_id `: type ` string `

    - ` email `: type ` string `; nullable

    - ` name `: type ` string `; nullable

    - ` phone `: type ` string `; nullable

    - ` external_id `: type ` string `; nullable

    - ` metadata `: type ` object `

    - ` created_at `: type ` string `; format ` date-time `

## Request examples

### cURL

```curl
curl -X POST 'https://api.rogeriq.com/api/v1/projects/string/contacts' \
  -H 'Authorization: Bearer YOUR_API_TOKEN' \
  -H 'Content-Type: application/json' \
  -d 'null'
```

### JavaScript

```javascript
const response = await fetch('https://api.rogeriq.com/api/v1/projects/string/contacts', {
  method: 'POST',
  headers: {
      "Authorization": "Bearer YOUR_API_TOKEN",
      "Content-Type": "application/json"
  },
  body: JSON.stringify(null)
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

headers = {
    'Authorization': 'Bearer YOUR_API_TOKEN'
}

response = requests.post('https://api.rogeriq.com/api/v1/projects/string/contacts', headers=headers, json=null)
print(response.json())
```